using System.Text;
using OllamaSharp;

namespace ConsoleApp1;

public class OllamaHelper
{
    private const string SelectedModel = "gemma3:12b";
    private readonly OllamaApiClient _ollama;

    public OllamaHelper()
    {
        var uri = new Uri("http://localhost:11434");
        _ollama = new OllamaApiClient(uri);
        _ollama.SelectedModel = SelectedModel;
    }

    public async Task<string> Ask(string question)
    {
        var result = new StringBuilder();
        await foreach (var stream in _ollama.GenerateAsync(question))
            result.Append(stream.Response);
        return result.ToString();
    }
}